=== modified file 'config/pandora-plugin.ini'
--- config/pandora-plugin.ini	2010-05-12 05:00:02 +0000
+++ config/pandora-plugin.ini	2010-06-16 22:09:44 +0000
@@ -2,6 +2,6 @@
 root_plugin_dir=plugin
 pkgplugindir=$(libdir)/drizzle
 plugin_suffix=_plugin
-extra_cxxflags=-DBUILDING_DRIZZLE
+extra_cxxflags=-DBUILDING_DRIZZLED
 force_lowercase_libname=True
 plugin_ini_fname=plugin.ini

=== modified file 'configure.ac'
--- configure.ac	2010-06-05 21:39:51 +0000
+++ configure.ac	2010-06-16 22:09:44 +0000
@@ -60,7 +60,7 @@
 PANDORA_USE_BETTER_MALLOC
 
 PANDORA_DRIZZLE_BUILD
-AC_DEFINE([BUILDING_DRIZZLE],[1],
+AC_DEFINE([BUILDING_DRIZZLED],[1],
           [Define indicating we are building and not consuming drizzle.])
 
 PANDORA_HAVE_LIBGTEST

=== modified file 'drizzled/visibility.h'
--- drizzled/visibility.h	2010-03-02 18:26:26 +0000
+++ drizzled/visibility.h	2010-06-16 22:09:44 +0000
@@ -29,31 +29,43 @@
 
 /**
  *
- * DRIZZLE_API is used for the public API symbols. It either DLL imports or
+ * DRIZZLED_API is used for the public API symbols. It either DLL imports or
  * DLL exports (or does nothing for static build).
  *
- * DRIZZLE_LOCAL is used for non-api symbols.
+ * DRIZZLED_LOCAL is used for non-api symbols.
  */
 
-#if defined(BUILDING_DRIZZLE)
-# if defined(HAVE_VISIBILITY)
-#  define DRIZZLE_API __attribute__ ((visibility("default")))
-#  define DRIZZLE_LOCAL  __attribute__ ((visibility("hidden")))
-# elif defined (__SUNPRO_C) && (__SUNPRO_C >= 0x550)
-#  define DRIZZLE_API __global
-#  define DRIZZLE_API __hidden
+#if defined(BUILDING_DRIZZLED) && defined(HAVE_VISIBILITY)
+# if defined(__GNUC__)
+#  define DRIZZLED_API __attribute__ ((visibility("default")))
+#  define DRIZZLED_INTERNAL_API __attribute__ ((visibility("hidden")))
+#  define DRIZZLED_API_DEPRECATED __attribute__ ((deprecated,visibility("default")))
+#  define DRIZZLED_LOCAL  __attribute__ ((visibility("hidden")))
+# elif (defined(__SUNPRO_C) && (__SUNPRO_C >= 0x550)) || (defined(__SUNPRO_CC) && (__SUNPRO_CC >= 0x550))
+#  define DRIZZLED_API __global
+#  define DRIZZLED_INTERNAL_API __hidden
+#  define DRIZZLED_API_DEPRECATED __global
+#  define DRIZZLED_LOCAL __hidden
 # elif defined(_MSC_VER)
-#  define DRIZZLE_API extern __declspec(dllexport) 
-#  define DRIZZLE_LOCAL
-# endif /* defined(HAVE_VISIBILITY) */
-#else  /* defined(BUILDING_DRIZZLE) */
+#  define DRIZZLED_API extern __declspec(dllexport)
+#  define DRIZZLED_INTERNAL_API extern __declspec(dllexport)
+#  define DRIZZLED_DEPRECATED_API extern __declspec(dllexport)
+#  define DRIZZLED_LOCAL
+# endif
+#else  /* defined(BUILDING_DRIZZLED) && defined(HAVE_VISIBILITY) */
 # if defined(_MSC_VER)
-#  define DRIZZLE_API extern __declspec(dllimport) 
-#  define DRIZZLE_LOCAL
+#  define DRIZZLED_API extern __declspec(dllimport)
+#  define DRIZZLED_INTERNAL_API extern __declspec(dllimport)
+#  define DRIZZLED_API_DEPRECATED extern __declspec(dllimport)
+#  define DRIZZLED_LOCAL
 # else
-#  define DRIZZLE_API
-#  define DRIZZLE_LOCAL
+#  define DRIZZLED_API
+#  define DRIZZLED_INTERNAL_API
+#  define DRIZZLED_API_DEPRECATED
+#  define DRIZZLED_LOCAL
 # endif /* defined(_MSC_VER) */
-#endif /* defined(BUILDING_DRIZZLE) */
+#endif  /* defined(BUILDING_DRIZZLED) && defined(HAVE_VISIBILITY) */
+
+
 
 #endif /* DRIZZLED_VISIBILITY_H */

